#
# Conditional build:
%bcond_without	apidocs	# API documentation
%bcond_with	tests	# unit tests

Summary:	Free software implementation of IDNA2008
Summary(pl.UTF-8):	Wolnodostępna implementacja IDNA2008
Name:		libidn2
Version:	2.3.4
Release:	2
License:	LGPL v3+ or GPL v2+ (library), GPL v3+ (utilities)
Group:		Libraries
Source0:	https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz
# Source0-md5:	a12109804fc9c5d7fb31f068c66655b8
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libidn/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.21
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	help2man
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libunistring-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.7
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libidn2 is a free software implementation of internationalized domain
names (IDNA2008).

%description -l pl.UTF-8
Libidn2 to wolnodostępna implementacja specyfikacji
umiędzynarodowionych nazw domen (IDNA2008).

%package devel
Summary:	Header files for libidn2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libidn2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libunistring-devel

%description devel
Header files for libidn2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libidn2.

%package static
Summary:	Static libidn2 library
Summary(pl.UTF-8):	Statyczna biblioteka libidn2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libidn2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libidn2.

%package apidocs
Summary:	libidn2 API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libidb2
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	libidn2-devel < 2.3.1
BuildArch:	noarch

%description apidocs
libidn2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libidn2.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I unistring/m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if !%{with apidocs}
%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}/libidn2
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/idn2
%attr(755,root,root) %{_libdir}/libidn2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libidn2.so.0
%{_mandir}/man1/idn2.1*
%{_infodir}/libidn2.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libidn2.so
%{_libdir}/libidn2.la
%{_includedir}/idn2.h
%{_pkgconfigdir}/libidn2.pc
%{_mandir}/man3/idn2_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libidn2.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libidn2
%endif
%changelog
* Fri Jan 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libidn2.git;a=log;h=master

* Fri Jan 27 2023 Jakub Bogusz <qboosh@pld-linux.org> d24e160
- release 2 (libunistring 1.1)

* Sun Oct 23 2022 Jan Palus <atler@pld-linux.org> cf1a4ec
- up to 2.3.4

* Wed Jul 13 2022 Jan Palus <atler@pld-linux.org> b2792ea
- up to 2.3.3

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 7493356
- removed obsolete pl.po-update patch

* Sat Jul 24 2021 Jan Palus <atler@pld-linux.org> 19655d5
- bump required gettext version

* Tue Jul 20 2021 Adam Gołębiowski <adamg@pld-linux.org> 211e58e
- updated to 2.3.2

* Fri May 14 2021 Jakub Bogusz <qboosh@pld-linux.org> d45df9a
- -apidocs conflicts with -devel before split

* Thu May 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 5bb796c
- updated Source URL and BRs
- apidocs copy-pasto fix

* Thu May 13 2021 Adam Gołębiowski <adamg@pld-linux.org> 66398c1
- updated to 2.3.1

* Sun May 09 2021 Marcin Krol <hawk@tld-linux.org> f4508c0
- added apidocs bcond and subpackage

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> eb78219
- updated to 2.3.0

* Tue May 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 71e8563
- updated to 2.2.0
- updated pl.po-update patch

* Tue Feb 19 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> a7d9236
- Revert "Use lua in %post scripts to break dependency loop"

* Tue Feb 19 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> f4326ba
- Use lua in %post scripts to break dependency loop

* Fri Feb 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 416e476
- run tests

* Fri Feb 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ee0d045
- up to 2.1.1; soname change reverted upstream

* Tue Jan 15 2019 Adam Gołębiowski <adamg@pld-linux.org> 418546b
- updated to 2.1.0 (soname change)

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 176e065
- package locale files
- added pl.po-update patch (one fuzzy entry)
- release 2

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> ca34063
- updated to 2.0.5

* Sat Nov 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 9aefb84
- updated to 2.0.4

